package com.supervision.controller;

import com.supervision.websocket.cache.WebSocketUserCache;
import io.swagger.annotations.Api;
import org.springframework.messaging.simp.SimpMessagingTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.socket.TextMessage;
import org.springframework.web.socket.WebSocketSession;

import javax.annotation.Resource;
import java.io.IOException;

@Api(tags = "问诊")
@RestController
@RequestMapping("/ask/")
public class AskController {

    @RequestMapping("/send")
    public void sendMessage(String message,String id) throws IOException {
        WebSocketSession session = WebSocketUserCache.getSession(id);
        session.sendMessage(new TextMessage(message));
    }


}
